summaryrefslogtreecommitdiffstats
path: root/meta-agl-ic-container/recipes-platform/packagegroups/packagegroup-agl-container-feature-logging.bb
diff options
context:
space:
mode:
authorNaoto Yamaguchi <naoto.yamaguchi@aisin.co.jp>2024-12-07 00:44:11 +0900
committerNaoto Yamaguchi <naoto.yamaguchi@aisin.co.jp>2024-12-09 01:15:49 +0900
commit2357f7c66221db30f49838c8eb294f59e78ccc3b (patch)
tree3ff1665ef59ea24cc1986affb5f9f3ec400d6912 /meta-agl-ic-container/recipes-platform/packagegroups/packagegroup-agl-container-feature-logging.bb
parent542964ec7d3c1d26c864c173e88b712eb597838b (diff)
Repair drm lease patch for agl-compositor
After the c8f26648ef9ed09ca842fd81202802b73a07f789, The drm lease support patch for agl-compositor can't apply. It causes build error in container guest environment for AGL demo IVIs. This patch updates drm lease support patch to fix build error. Bug-AGL: SPEC-5318 Change-Id: Ifd257d30c8a676e4a17869458336b4e08d2ffb8e Signed-off-by: Naoto Yamaguchi <naoto.yamaguchi@aisin.co.jp>
Diffstat (limited to 'meta-agl-ic-container/recipes-platform/packagegroups/packagegroup-agl-container-feature-logging.bb')
0 files changed, 0 insertions, 0 deletions
/* Literal.String.Single */ .highlight .ss { color: #aa6600; background-color: #fff0f0 } /* Literal.String.Symbol */ .highlight .bp { color: #003388 } /* Name.Builtin.Pseudo */ .highlight .fm { color: #0066bb; font-weight: bold } /* Name.Function.Magic */ .highlight .vc { color: #336699 } /* Name.Variable.Class */ .highlight .vg { color: #dd7700 } /* Name.Variable.Global */ .highlight .vi { color: #3333bb } /* Name.Variable.Instance */ .highlight .vm { color: #336699 } /* Name.Variable.Magic */ .highlight .il { color: #0000DD; font-weight: bold } /* Literal.Number.Integer.Long */
# Install and patch Amazon Alexa Auto SDK "amazonlite" wakeword engine

pushd $METADIR >/dev/null 2>&1

WAKEWORD_FEATURE_DIR="$METADIR/meta-agl-devel/templates/feature/agl-voiceagent-alexa-wakeword"
AMAZONLITE_VER="2.3"
AMAZONLITE_PATCH="${WAKEWORD_FEATURE_DIR}/amazonlite-${AMAZONLITE_VER}.patch"
AUTOSDK_EXTRAS_DIR="$METADIR/external/alexa-auto-sdk/extensions/extras"
AMAZONLITE_DIR="${AUTOSDK_EXTRAS_DIR}/amazonlite"

if [ -f "${AMAZONLITE_DIR}/README.md" ]; then
    ver=`grep '^Unzip the' "${AMAZONLITE_DIR}/README.md" | sed 's/.*amazonlite-\([0-9]\+\.[0-9]\+\)\.zip.*/\1/'`
    if [ "$ver" != ${AMAZONLITE_VER} ]; then
        echo "ERROR: ${AMAZONLITE_DIR} does not contain version ${AMAZONLITE_VER}!" >&2
        exit 1
    fi
fi

test -f ${XDG_CONFIG_HOME:-~/.config}/user-dirs.dirs && source ${XDG_CONFIG_HOME:-~/.config}/user-dirs.dirs
DOWNLOAD_DIR=${XDG_DOWNLOAD_DIR:-$HOME/Downloads}

if [ ! -f "${DOWNLOAD_DIR}/amazonlite-${AMAZONLITE_VER}.zip" ]; then
    echo "ERROR: amazonlite-${AMAZONLITE_VER}.zip not found in ${DOWNLOAD_DIR}!" >&2
    exit 1
elif [ ! -d "${AUTOSDK_EXTRAS_DIR}" ]; then
    echo "ERROR: Directory ${AUTOSDK_EXTRAS_DIR} not present!" >&2
    exit 1
fi
cd "${AUTOSDK_EXTRAS_DIR}"
if [ ! -d amazonlite ]; then
    echo "Extracting ${DOWNLOAD_DIR}/amazonlite-${AMAZONLITE_VER}.zip"
    unzip -q "${DOWNLOAD_DIR}/amazonlite-${AMAZONLITE_VER}.zip" || exit 1
    cd amazonlite
    echo "Patching ${AMAZONLITE_DIR}"
    patch -p0 < "${AMAZONLITE_PATCH}"
else
    cat <<-EOF
The amazonlite ${AMAZONLITE_VER} wakeword engine is already installed.
To force reinstallation, manually remove the directory:
           ${AMAZONLITE_DIR}

EOF
fi

popd >/dev/null 2>&1